### Method

# WebKit Settings apply_from_key_file

#### Declaration [src]

    gboolean
    webkit_settings_apply_from_key_file (
      WebKitSettings* settings,
      GKeyFile* key_file,
      const gchar* group_name,
      GError** error
    )

#### Description [src]

Reads the contents of the given `group_name` from the given `key_file` and apply the value of each key/value to the corresponding property on the `settings`.

Value types have to match with the corresponding setting property type and the group keys have to match existing setting property names. If those conditions are not met, the function will return `FALSE`.

Supported value types are strings (unquoted), booleans (0, 1, true, false) and unsigned integers.

Available since: | 2.46

#### Parameters

`key_file` | `GKeyFile`
| A `GKeyFile`.
| The data is owned by the caller of the function.
`group_name` | `const gchar*`
| Name of the group to read from `key_file`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the settings were correctly applied or `FALSE` on error.